> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nrai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Flows Runs

> List Flow Runs



## OpenAPI

````yaml GET /v1/flow-runs
openapi: 3.0.3
info:
  title: NRAI Documentation
  version: 0.0.0
servers:
  - url: https://cloud.nrai.io/api
    description: Production Server
security: []
externalDocs:
  url: https://nrai.io/docs
  description: Find more info here
paths:
  /v1/flow-runs:
    get:
      tags:
        - flow-runs
      description: List Flow Runs
      parameters:
        - schema:
            type: array
            items:
              pattern: ^[0-9a-zA-Z]{21}$
              type: string
          in: query
          name: flowId
          required: false
        - schema:
            type: array
            items:
              type: string
          in: query
          name: tags
          required: false
        - schema:
            type: array
            items:
              anyOf:
                - type: string
                  enum:
                    - FAILED
                - type: string
                  enum:
                    - QUOTA_EXCEEDED
                - type: string
                  enum:
                    - INTERNAL_ERROR
                - type: string
                  enum:
                    - PAUSED
                - type: string
                  enum:
                    - QUEUED
                - type: string
                  enum:
                    - RUNNING
                - type: string
                  enum:
                    - SUCCEEDED
                - type: string
                  enum:
                    - MEMORY_LIMIT_EXCEEDED
                - type: string
                  enum:
                    - TIMEOUT
          in: query
          name: status
          required: false
        - schema:
            type: number
          in: query
          name: limit
          required: false
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            type: string
          in: query
          name: createdAfter
          required: false
        - schema:
            type: string
          in: query
          name: createdBefore
          required: false
        - schema:
            pattern: ^[0-9a-zA-Z]{21}$
            type: string
          in: query
          name: projectId
          required: true
        - schema:
            type: string
          in: query
          name: failedStepName
          required: false
        - schema:
            type: array
            items:
              pattern: ^[0-9a-zA-Z]{21}$
              type: string
          in: query
          name: flowRunIds
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        created:
                          type: string
                        updated:
                          type: string
                        projectId:
                          type: string
                        flowId:
                          type: string
                        parentRunId:
                          type: string
                        failParentOnFailure:
                          type: boolean
                        tags:
                          type: array
                          items:
                            type: string
                        flowVersionId:
                          type: string
                        flowVersion:
                          type: object
                          properties:
                            displayName:
                              type: string
                        logsFileId:
                          type: string
                          nullable: true
                        tasks:
                          type: number
                        status:
                          anyOf:
                            - type: string
                              enum:
                                - FAILED
                            - type: string
                              enum:
                                - QUOTA_EXCEEDED
                            - type: string
                              enum:
                                - INTERNAL_ERROR
                            - type: string
                              enum:
                                - PAUSED
                            - type: string
                              enum:
                                - QUEUED
                            - type: string
                              enum:
                                - RUNNING
                            - type: string
                              enum:
                                - SUCCEEDED
                            - type: string
                              enum:
                                - MEMORY_LIMIT_EXCEEDED
                            - type: string
                              enum:
                                - TIMEOUT
                        duration:
                          type: number
                        startTime:
                          type: string
                        finishTime:
                          type: string
                        environment:
                          anyOf:
                            - type: string
                              enum:
                                - PRODUCTION
                            - type: string
                              enum:
                                - TESTING
                        failedStepName:
                          type: string
                        stepNameToTest:
                          type: string
                      required:
                        - id
                        - created
                        - updated
                        - projectId
                        - flowId
                        - failParentOnFailure
                        - flowVersionId
                        - status
                        - startTime
                        - environment
                  next:
                    description: Cursor to the next page
                    type: string
                    nullable: true
                  previous:
                    description: Cursor to the previous page
                    type: string
                    nullable: true
                required:
                  - data
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````